## debmake-doc 1.22

=== Makefile ===
# Build all Debian packaging examples and produce documentation
# Copyright (C) 2015 Osamu Aoki
# vim: set ts=8 sw=8 noet:

.PHONY: all build clean distclean
# build document
all: build

# Before building this documentation, you need to update examples/ directory
# setup and start bash inside sid-chroot
# move into "examples/" with "cd examples"
#   update Makefile and run "make groom"
#   run "make" to update *.slog
#   commit changes "git commit -a"

# Normalize build environment (Debian default is LANG=C etc.)
LC_ALL := C.UTF-8
export LC_ALL

# Used as $(call check-command, <command>, <package>)
define check-command
set -e; if ! which $(1) >/dev/null; then \
  echo "Missing command: $(1), install package: $(2)"; \
  false; \
fi
endef

#######################################################################
# Document translation strategy: use po4a
# 1. Generate $(BASEXML) using AsciiDoc with docbook4 backend
#    (Ease of writing main contents)
# 2. Make docbook 5 source $(MANUAL).en.x01 with db4-upgrade.xsl
# 3. Write the info header section as $(HEADXML)
# 4. Merge $(HEADXML) and $(MANUAL).en.x01 as $(MANUAL).en.x02
# 5. Generate po/$(MANUAL).pot from $(MANUAL).en.x02 with po4a
# 6. Translate po/$(MANUAL).pot and create po/<lang>.po
# 7. Generate $(MANUAL).<lang>.x02 from $(MANUAL).en.x02 and po/<lang>.po
#    using po4a
# 8. Make $(MANUAL).<lang>.xml from $(MANUAL).<lang>.x02
# 9. Build html, ... from $(MANUAL).<lang>.xml
#######################################################################
# Build documentation
MANUAL	:= debmake-doc
DEBEMAIL := osamu@debian.org
DEBFULLNAME := "Osamu Aoki"
ASCIIDOC_DIR := asciidoc
BASEXML := $(ASCIIDOC_DIR)/$(MANUAL).xml
HEADXML := $(ASCIIDOC_DIR)/head.txt
XSLT_DIR := xslt
BASEDIR := $(CURDIR)/basedir
TMPDIR := $(CURDIR)/tmp
# set SOURCE_DATE_EPOCH if unset (when not called from debhelper)
SOURCE_DATE_EPOCH ?= $(shell dpkg-parsechangelog -STimestamp || date -R -u)
# Export for reproducible PDF build
#  2020: https://tex.stackexchange.com/questions/568235/how-do-i-configure-pdflatex-to-output-binary-equivalent-pdfs-if-the-input-tex-fi
#  2015: https://tex.stackexchange.com/questions/229605/reproducible-latex-builds-compile-to-a-file-which-always-hashes-to-the-same-va
export SOURCE_DATE_EPOCH
FORCE_SOURCE_DATE = 1
export FORCE_SOURCE_DATE
# date in changelog
SOURCE_DATE := $(shell date -u +'%F %T %Z' --date=@$(SOURCE_DATE_EPOCH))

# languages translated with PO files (not used now)
LANGPO ?= ja zh-cn zh-tw de ru pt
# languages to skip generation of PDF files (not used now)
NOPDF ?=
# languages to build document
LANGALL := en $(LANGPO)
SRC_PO := $(addsuffix .po, $(addprefix  po4a/po/, $(LANGPO)))
SRC_X02 := $(addsuffix .x02, $(addprefix  $(MANUAL)., $(LANGPO)))
SRC_X03 := $(addsuffix .x03, $(addprefix  $(MANUAL)., $(LANGPO)))
SRC_XML := $(addsuffix .xml, $(addprefix  $(MANUAL)., $(LANGALL)))
#######################################################################
# Build time determined text
# version of the debmake command used
DEBMAKEVERSION := $(shell cat examples/debhello-0.0_build-1/step999.slog)
# version of this Debian package (debian/changelog)
DEBVERSION ?= $(shell { dpkg-parsechangelog -SVersion || echo "vcs-0.0" ; })
# short date of this Debian package (debian/changelog)
DEBDATE ?= $(shell { date --utc +'%Y-%m-%d' -d"`dpkg-parsechangelog -SDate`" || date +'(No changelog) %Y-%m-%d' ; })
# debhelper compat = debhelper major version
DHCOMPAT ?= $(shell { dpkg-query -f'$${source:Version}' -W debhelper|sed 's/\..*$$//' ; })
#######################################################################
# Constants for asciidoc -> xml -> any conversion
# Program name and option
XSLT := xsltproc --novalid --nonet --xinclude
MKDIRP := mkdir -p
MSGCAT := msgcat
MSGFMT := msgfmt
MSGMERGE := msgmerge --update --previous
MSGATTRIB := msgattrib
DPO := po4a/po
DBLATEX	:= dblatex
# Change $(DRAFTMODE) from "yes" to "maybe" when this document
# should go into production mode
#export DRAFTMODE := yes
export DRAFTMODE := maybe
#######################################################################

build: $(wildcard $(ASCIIDOC_DIR)/*.txt)
	: # ========================== BUILD DOCS =============================
	# process ASCIIDOC after $(pkg) targets even under the parallel build
	$(MAKE) base-xml
	echo "LC_ALL='$(LC_ALL)'"
	echo "LANGPO='$(LANGPO)'"
	echo "LANGALL='$(LANGALL)'"
	echo "NOPDF='$(NOPDF)'"
	echo "BASEDIR='$(BASEDIR)'"
	echo "TMPDIR='$(TMPDIR)'"
	$(MAKE) all-xml	                # XML docs for all PO
	-mkdir -p $(TMPDIR)
	-mkdir -p $(BASEDIR)/html
	# leave fuzzy status in the package build log
	-cat fuzzy.log
	$(MAKE) css
	$(MAKE) html
	$(MAKE) txt
	$(MAKE) pdf
	#$(MAKE) epub

clean:
	: # ========================== CLEAN SOURCE ===========================
	echo "LC_ALL='$(LC_ALL)'"
	echo "NOPDF='$(NOPDF)'"
	echo "BASEDIR='$(BASEDIR)'"
	echo "TMPDIR='$(TMPDIR)'"
	-rm -rf $(TMPDIR)
	-rm -rf po4a-tmp
	-$(MAKE) -C $(ASCIIDOC_DIR) clean
	-$(MAKE) -C examples clean

distclean: clean

dbk:
	-mkdir -p $(TMPDIR)
	-mkdir -p $(BASEDIR)/html
	$(MAKE) -C $(ASCIIDOC_DIR) xml
	$(MAKE) css html

.PHONY: dbk

#######################################################################
# Normal doc content as English base xml
$(BASEXML): $(wildcard $(ASCIIDOC_DIR)/*.txt)
	$(MAKE) -C $(ASCIIDOC_DIR) xml  # base XML doc (FUll ASCII)

# set last chapter as appendix.
$(MANUAL).en.x01: $(BASEXML)
	@$(call check-command, xsltproc, xsltproc)
	$(XSLT) $(XSLT_DIR)/modappendix.xsl $< > $@ # x01: last chapter as appendix/UTF-8

# header is manually written and main content is generated from asciidoc
$(MANUAL).en.x02: $(MANUAL).en.x01 $(HEADXML)
	cat $(HEADXML) > $@
	sed -e '1,/<\/info>/d' $(MANUAL).en.x01 >> $@ # x02: add header

# remove <screen>...</screen> and xmlns (empirically determined)
# Following -- xslt/screen.xsl doesn't work to remove <screen>-taged element
# <book xmlns="http://docbook.org/ns/docbook" xmlns:xl="http://www.w3.org/1999/xlink" version="5.0" xml:lang="en">
# Following -- xslt/screen.xsl seems to work but complains about link, results become db4
# <book lang="en">
# Following -- xslt/screen.xsl work and no-complain on linking
# <book xmlns:xl="http://www.w3.org/1999/xlink" version="5.0" xml:lang="en">
# TODO: try libsaxonb-java or xalan instead of xsltproc
$(MANUAL).en.x03: $(MANUAL).en.x02
	@$(call check-command, xsltproc, xsltproc)
	sed -e 's/<book xmlns=.*xmlns:xl/<book xmlns:xl/' $<  >$@.tmp
	$(XSLT) $(XSLT_DIR)/screen.xsl $@.tmp > $@ # x03: no <screen>
	rm -f $@.tmp

# po4a/po4a-x02.cfg -- on x03 to generate po (no xml)
$(MANUAL).po-pre.stamp: $(MANUAL).en.x03
	-mkdir -p $(TMPDIR)
	po4a -v po4a/po4a-x03.cfg

# po4a/po4a.cfg -- on x02 to generate xml
$(MANUAL).po.stamp: $(MANUAL).po-pre.stamp
	-mkdir -p $(TMPDIR)
	rm -rf po4a-tmp
	cp -r po4a po4a-tmp
	po4a -v po4a-tmp/po4a-x02.cfg

$(SRC_X02): $(MANUAL).po.stamp

fuzzy.log: $(MANUAL).po-pre.stamp
	: > fuzzy.log
	for lang in $(LANGPO); do \
	MESS1="no-obsolete  $$lang  `$(MSGATTRIB) --no-obsolete  po4a/po/$$lang.po |grep ^msgid |sed 1d|wc -l`";\
	MESS2="untranslated $$lang  `$(MSGATTRIB) --untranslated po4a/po/$$lang.po |grep ^msgid |sed 1d|wc -l`";\
	MESS3="fuzzy        $$lang  `$(MSGATTRIB) --fuzzy        po4a/po/$$lang.po |grep ^msgid |sed 1d|wc -l`";\
	echo "$$MESS1" >>fuzzy.log ; \
	echo "$$MESS2" >>fuzzy.log ; \
	echo "$$MESS3" >>fuzzy.log ; \
	echo "" >>fuzzy.log ; \
	done

$(MANUAL).%.xml: $(MANUAL).%.x02
	sed \
	-e "s/@@@debmakeversion@@@/$(DEBMAKEVERSION)/g" \
	-e "s/@@@debversion@@@/$(DEBVERSION)/g" \
	-e "s/@@@debdate@@@/$(DEBDATE)/g" \
	-e "s/@@@dhcompat@@@/$(DHCOMPAT)/g" \
	< $^ > $@

.FORCE:
	echo "FORCE"

doc-clean:
	-rm -f *.swp *~ *.tmp
	-rm -f po4a/po/*~
	-rm -rf $(TMPDIR)
	-rm -rf $(BASEDIR)
	-rm -rf $(LANGALL)
	-rm -r $(MANUAL).po.stamp
	-rm -r $(MANUAL).po-pre.stamp
	-rm -f $(addsuffix .x00, $(addprefix $(MANUAL)., $(LANGALL)))
	-rm -f $(addsuffix .x01, $(addprefix $(MANUAL)., $(LANGALL)))
	-rm -f $(addsuffix .x02, $(addprefix $(MANUAL)., $(LANGALL)))
	-rm -f $(addsuffix .x03, $(addprefix $(MANUAL)., $(LANGALL)))
	-rm -f $(addsuffix .xml, $(addprefix $(MANUAL)., $(LANGALL)))
	-rm -f fuzzy.log

clean: doc-clean

#######################################################################
.PHONY: base-xml
base-xml: $(BASEXML)

#######################################################################
.PHONY: po
po: $(MANUAL).po.stamp

#######################################################################
.PHONY: all-xml
all-xml: $(SRC_XML) $(ENT_ALL) fuzzy.log

#######################################################################
.PHONY: doc-all
doc-all: css html txt

#######################################################################
# $ make test      # build html for testing (for Translator)
#######################################################################
.PHONY: doc-test
doc-test: html css

#######################################################################
# $ make test-*       # test targets with consistent naming
#######################################################################
.PHONY: test-spell test-po test-asciidoc test-html
test-po:
	@$(call check-command, msgcat, gettext)
	set -e ; for XX in $(foreach LX, $(LANGPO), $(DPO)/$(LX).po); do \
	bin/xmlpo $$XX ;\
	done
	echo "clean non-English PO source"

test-spell:
	set -e ; for XX in $(wildcard $(ASCIIDOC_DIR)/*.txt); do \
	ispell -o -p $(ASCIIDOC_DIR)/spell.dic $$XX ; \
	done
	echo "clean English ASCIIDOC source"

test-asciidoc:
	set -e; cd $(ASCIIDOC_DIR) ; $(MAKE) all

test-html:
	-mkdir -p $(TMPDIR)
	-mkdir -p $(BASEDIR)/html
	$(MAKE) -C $(ASCIIDOC_DIR) xml
	$(MAKE) css html

#######################################################################
# $ make wrap       # wrap all PO
#######################################################################
.PHONY: wrap nowrap wip
wrap:
	@$(call check-command, msgcat, gettext)
	for XX in $(foreach LX, $(LANGPO), $(DPO)/$(LX).po); do \
	$(MSGCAT) -o $$XX $$XX ;\
	done
nowrap:
	@$(call check-command, msgcat, gettext)
	for XX in $(foreach LX, $(LANGPO), $(DPO)/$(LX).po); do \
	$(MSGCAT) -o $$XX --no-wrap $$XX ;\
	done

# remove obsolete
wrapx:
	@$(call check-command, msgcat, gettext)
	for XX in $(foreach LX, $(LANGPO), $(DPO)/$(LX).po); do \
	$(MSGATTRIB) --no-obsolete -o $$XX $$XX ;\
	done

# remove obsolete
nowrapx:
	@$(call check-command, msgcat, gettext)
	for XX in $(foreach LX, $(LANGPO), $(DPO)/$(LX).po); do \
	$(MSGATTRIB) --no-wrap --no-obsolete -o $$XX $$XX ;\
	done

wip:
	@$(call check-command, msgattrib, gettext)
	for XX in $(foreach LX, $(LANGPO), $(DPO)/$(LX).po); do \
	$(MSGATTRIB) -o $$XX.fuzz --fuzzy        $$XX ;\
	$(MSGATTRIB) -o $$XX.untr --untranslated $$XX ;\
	done

#######################################################################
# $ make css       # update CSS and DIMG in $(BASEDIR)
#######################################################################
.PHONY: css
css:
	-rm -rf $(BASEDIR)/html/images
	mkdir -p $(BASEDIR)/html/images
	cp -f $(XSLT_DIR)/debian.css $(BASEDIR)/html/debian.css
	echo "AddCharset UTF-8 .txt" > $(BASEDIR)/html/.htaccess
	cd png ; \
	cp caution.png home.png important.png next.png note.png \
		prev.png tip.png warning.png $(BASEDIR)/html/images

#######################################################################
# $ make html      # update all HTML in $(BASEDIR)
#######################################################################
.PHONY: html
html:	$(foreach LX, $(LANGALL), $(BASEDIR)/html/index.$(LX).html) fuzzy.log
	cat fuzzy.log

$(BASEDIR)/html/index.%.html: $(MANUAL).%.xml
	@$(call check-command, xsltproc, xsltproc)
	-mkdir -p $(BASEDIR)/html
	$(XSLT) --stringparam base.dir $(BASEDIR)/html \
                --stringparam html.ext .$*.html \
                $(XSLT_DIR)/style-html.xsl $<

#######################################################################
# $ make txt       # update all Plain TEXT in $(BASEDIR)
#######################################################################

=== asciidoc/Makefile ===
# Build 1-page html, manpage, and xml source
# Copyright (C) 2015 Osamu Aoki

# manually copy 1-page html to the people.debian.org
# manually copy manpage to the debmake command
# xml is used to build this package
# This Makefile can function by itself.

# version of the debmake command used
DEBMAKEVERSION ?= $(shell { debmake -v 2>&1 | sed -ne '/^debmake/s/^.*(version: \([0-9.]*\)).*$$/\1/p' ; })
# version of this Debian package (debian/changelog)
DEBVERSION ?= $(shell { cd .. >/dev/null ;dpkg-parsechangelog -SVersion || echo "vcs-0.0" ; })
# short date of this Debian package (debian/changelog)
DEBDATE ?= $(shell { cd .. >/dev/null && date +'%Y-%m-%d' -d"`dpkg-parsechangelog -SDate`" || date +'(No changelog) %Y-%m-%d' ; })

MANUAL := debmake-doc
GENTXT := 90-manpage.txt binary.txt caveat-version.txt
ALLTXT := $(wildcard *.txt) $(GENTXT)

#ASCIIDOC := asciidoc
ASCIIDOC := asciidoctor -w
# https://docs.asciidoctor.org/asciidoctor/latest/migrate/asciidoc-py/

# These are used as test build target
all:
	$(MAKE) clean
	$(MAKE) man html

test: test.html

html: $(MANUAL).html

# This is used from the parent directory to build debmake-doc
xml: $(MANUAL).xml

# This is used to make manpage for debmake
# Copy result to debmake
man: debmake.1

check:
	@echo "DEBMAKEVERSION = $(DEBMAKEVERSION)"
	@echo "DEBVERSION     = $(DEBVERSION)"
	@echo "DEBDATE        = $(DEBDATE)"
	@echo "ALLTXT         = $(ALLTXT)"

90-manpage.txt: manpage.txt
	sed -e 's/^= DEBMAKE(1)$$/= *debmake*(1) manpage/' -e 's/^=/==/' $< >$@

binary.txt: manpage.txt
	sed -n -e '/^\*-b\*/,$$p' $< | sed -e '/^\*-e\*/,$$d'> $@

caveat-version.txt: manpage.txt
	sed -e '1,/BEGIN: SNIP_FOR_VERSION/d' $< | sed -e '/END: SNIP_FOR_VERSION/,$$d'> $@

$(MANUAL).xml: $(ALLTXT)
	@$(call check-command, $(ASCIIDOC), $(ASCIIDOC))
	$(ASCIIDOC) --doctype book\
		-b docbook \
		-a 'newline=\n' \
		$(MANUAL).txt

%.xml: %.txt
	@$(call check-command, $(ASCIIDOC), $(ASCIIDOC))
	$(ASCIIDOC) --doctype book\
		-b docbook \
		-a 'newline=\n' \
		$<

$(MANUAL).html: $(ALLTXT)
	@$(call check-command, $(ASCIIDOC), $(ASCIIDOC))
	$(ASCIIDOC) --doctype book\
		-b html \
		-a toc2 \
		-a 'newline=\n' \
		$(MANUAL).txt
	sed -i -e "s/@@@dhcompat@@@/13/g" $@

%.html: %.txt
	$(ASCIIDOC) --doctype book\
		-b html \
		-a toc2 \
		-a 'newline=\n' \
		$<

debmake.1: manpage.txt
  ifeq ($(ASCIIDOC), asciidoc)
	a2x --doctype manpage --format manpage \
		manpage.txt
  else
	$(ASCIIDOC) --doctype manpage\
		-b manpage \
		-a 'newline=\n' \
		$<
  endif

clean:
	-rm -f debmake.1 $(GENTXT) $(MANUAL).html

distclean: clean

remote: $(MANUAL).html
	scp $(MANUAL).html people.debian.org:~osamu/public_html/$(MANUAL).html

.PHONY: all xml xml1 html man clean distclean check test remote

=== examples/Makefile ===
# Build all Debian packaging examples
# Copyright (C) 2021 Osamu Aoki

# Standards-Version: 4.6.2
# Homepage: <insert the upstream URL, if relevant>
# Homepage: https://salsa.debian.org/debian/debmake-doc
# Vcs-Git: https://salsa.debian.org/debian/debmake-doc.git
# Vcs-Browser: https://salsa.debian.org/debian/debmake-doc

# Set the following before "make groom"
HOMEPAGE = https://salsa.debian.org/debian/debmake-doc
STDVER = 4.6.2
DHCOMPAT = 13
MAINTNM = Osamu Aoki <osamu@debian.org>

# vim: set noet ts=8:
# Normalize build environment (Debian default is LANG=C etc.)
LC_ALL := C.UTF-8
export LC_ALL
TERM = dumb
export TERM
ARCH := $(shell dpkg-architecture -q DEB_TARGET_ARCH)

ALL_DEPS := \
            autoconf\
            automake\
            autopoint\
            build-essential \
            cmake\
            debhelper\
            debmake\
            devscripts\
            dh-sequence-single-binary \
            gettext\
            gir1.2-gtk-3.0\
            libltdl-dev\
            libtool\
            libxml2-utils\
            lintian\
            locales-all\
            pybuild-plugin-pyproject \
            python3-all\
            python3-debian\
            python3-gi\
            quilt \
            tree \
            vim\
            w3m\
            zip

ALL_DIRS := $(shell find . -maxdepth 1 -type d -regex '\./debhello-.*' | sed  -e 's,^\./,,')
BUILD_DIRS := $(shell find . -maxdepth 1 -type d -regex '\./debhello-.*_build.*' | sed  -e 's,^\./,,')
UPSTREAM_DIRS := $(filter-out $(BUILD_DIRS),$(ALL_DIRS))
ASCIIDOC_REF := $(addsuffix /ASCIIDOC_REF, $(BUILD_DIRS))
TARGZS := $(addsuffix .tar.gz, $(UPSTREAM_DIRS))
ORIGTARGZS := $(patsubst debhello-%,debhello_%,$(addsuffix .orig.tar.gz, $(UPSTREAM_DIRS)))
BUILDMAKEFILES := $(addsuffix /Makefile, $(BUILD_DIRS))
BUILDSTAMPS := $(addsuffix -stamp, $(BUILD_DIRS))

all:
	# === BUILDSTAMPS ===
	$(MAKE) clean
	$(MAKE) deps
	$(MAKE) prep
	$(MAKE) asciidoc
	$(MAKE) buildall
	# === SUCCESS ALL ===

clean:
	-rm -f $(TARGZS)
	-rm -f $(ORIGTARGZS)
	-rm -f $(BUILDMAKEFILES)
	-rm -f $(BUILDSTAMPS)
	# way to clean build results and Makefile link
	-rm -f debhello-*_build*/*.log
	-rm -f debhello-*_build*/Makefile
	-rm -f debhello-*_build*/next.dir
	-rm -f debhello-*_build*/project
	-rm -f debhello-*_build*/build
	-rm -rf debhello-*_build*/test
	# post-debmake snapshot of test
	-rm -rf debhello-*_build*/debmake
	# post-package snapshot of test
	-rm -rf debhello-*_build*/package
	-rm -rf debhello-*_build*/dsc

distclean: clean
	-rm -f $(ASCIIDOC_REF)
	-rm -f debhello-*_build*/*.slog

deps:
	# === ALL_DEPS ===
	sudo apt-get update
	sudo apt-get install $(ALL_DEPS)

prep:
	# === ALL_DIRS ===
	@ echo "$(ALL_DIRS)"| xargs -n1
	# === BUILD_DIRS ===
	@ echo "$(BUILD_DIRS)"| xargs -n1
	# === UPSTREAM_DIRS ===
	@ echo "$(UPSTREAM_DIRS)" | xargs -n1
	# === TARGZS ===
	@ echo "$(TARGZS)" | xargs -n1
	$(MAKE) $(TARGZS)
	# === ORIGTARGZS ===
	@ echo "$(ORIGTARGZS)" | xargs -n1
	$(MAKE) $(ORIGTARGZS)
	# === BUILDMAKEFILES ===
	$(MAKE) $(BUILDMAKEFILES)

asciidoc:
	# === ASCIIDOC_REF ===
	$(MAKE) $(ASCIIDOC_REF)

buildall:
	# === BUILDSTAMPS ===
	$(MAKE) $(BUILDSTAMPS)

debhello-%.tar.gz: debhello-%/README.md
	tar --exclude=debhello-$*/debian -cvzf $@ debhello-$*/

debhello_%.orig.tar.gz: debhello-%.tar.gz
	ln -sf $^ $@

debhello-%/Makefile: template/Makefile
	ln -sf ../$^ $@

debhello-%-stamp: debhello-%/Makefile
	$(MAKE) -C debhello-$*

#######################################################################
# Groom debhello-*/debian/* template files
#######################################################################
BUILD_VERS := $(patsubst debhello-%,%,$(BUILD_DIRS))
UPSTREAM_VERS := $(patsubst debhello-%,%,$(UPSTREAM_DIRS))
CHANGELOGS := $(addsuffix /debian/changelog, $(addprefix debhello-,$(UPSTREAM_VERS)))
COPYRIGHTS := $(addsuffix /debian/copyright, $(addprefix debhello-,$(UPSTREAM_VERS)))
COPYRIGHTS := $(addsuffix /debian/control, $(addprefix debhello-,$(UPSTREAM_VERS)))
READMES := $(addsuffix /debian/README.Debian, $(addprefix debhello-,$(UPSTREAM_VERS)))
WATCHS := $(addsuffix /debian/watch, $(addprefix debhello-,$(UPSTREAM_VERS)))
SRCF := $(addsuffix /debian/source/format, $(addprefix debhello-,$(UPSTREAM_VERS)))
WRAPS := $(addsuffix -wrap,$(addprefix debhello-,$(UPSTREAM_VERS)))

builds:
	# === BUILD UPSTREAM_VERS ===
	@ echo "$(BUILD_VERS)"| xargs -n1

vers:
	# === UPSTREAM_VERS ===
	@ echo "$(UPSTREAM_VERS)"| xargs -n1

groom:
	cd template ; touch * source/*
	$(MAKE) $(CHANGELOGS) $(COPYRIGHTS) $(READMES) $(WATCHS) $(SRCF) $(CONTROLS)
	# clean whitespaces in line tail (exclude some directories)
	-find . -type d \
		-regex ".*/\.git" -prune -o \
		-regex ".*/post-gettextize" -prune -o \
		-regex ".*/png" -prune -o \
	       -type f -exec sed -i -e 's/[ \t]*$$//' '{}' \;
	$(MAKE) $(WRAPS)

debhello-%/debian/changelog: template/changelog
	mkdir -p debhello-$*/debian
	sed -ne '/debhello ($*-1/,$$p' <$^ >$@

debhello-%/debian/copyright: template/copyright
	mkdir -p debhello-$*/debian
	cp -f $^ $@

debhello-%/debian/control: template/README.Debian
	mkdir -p debhello-$*/debian
	sed -i  \
		-e 's/^Section: unknown$$/Section: devel/' \
		-e 's/^Maintainer:.*$$/Maintainer: $(MAINTNM)/' \
		-e 's/debhelper-compat *( *= *[1-9][0-9]* *)/debhelper-compat (= $(DHCOMPAT))/' \
		-e 's/^Standards-Version:.*$$/Standards-Version: $(STDVER)/' \
		-e 's,^Homepage:.*$$,Homepage: $(HOMEPAGE),' \
		-e 's,^Description:.*$$,Description: Simple packaging example for debmake,' \
		-e 's,was auto-generated.*$$,is an example package.,' \
		-e 's,^ debmake(1) command provided by .*$$, (This is an example only),' \
		-e 's,^X-Python3-Version.*$$,,' \
		$@

debhello-%/debian/README.Debian: template/README.Debian
	mkdir -p debhello-$*/debian
	cp -f $^ $@

debhello-%/debian/watch: template/watch
	mkdir -p debhello-$*/debian
	cp -f $^ $@

debhello-%/debian/source/format: template/source/format
	mkdir -p debhello-$*/debian/source
	cp -f $^ $@

debhello-%-wrap:
	cd debhello-$* ; \
	wrap-and-sort

debhello-%/ASCIIDOC_REF:
	{ cd ../asciidoc ; rg --vimgrep "debhello-$*" *.txt || echo "---" ; } > $@

symlinks:
	for d in $(filter-out debhello-0.0_build-1, $(BUILD_DIRS)); do $(MAKE) -C $$d symlink ; cd - ; done

=== examples/debhello-2.1/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(debhello)
set(PACKAGE_AUTHOR "Osamu Aoki")
add_subdirectory(lib)
add_subdirectory(src)
add_subdirectory(man)

=== examples/template/Makefile ===
# Generic build script
DEBEMAIL:=osamu@debian.org
DEBFULLNAME:="Osamu Aoki"
export DEBEMAIL DEBFULLNAME
BUILD:=$(shell echo $(notdir $(CURDIR)))
PROJECT:=$(shell echo $(BUILD)|sed -e 's/_build-[0-9]*$$//' )
# parent directory of  (full path)
EXAMPLES_PATH:=$(abspath $(CURDIR)/..)
# package build work directory (full path)
BUILD_PATH:=$(EXAMPLES_PATH)/$(BUILD)
# == BUILD_PATH:=$(CURDIR)
# package build directory (top)
DSC_PATH:=$(BUILD_PATH)/dsc
SOURCE_PATH:=$(DSC_PATH)/$(PROJECT)
PATH := $(EXAMPLES_PATH)/bin:$(PATH)
REFBUILD1:=debhello-0.0_build-1
REFBUILD2:=debhello-0.0_build-2
REFBUILDP:=debhello-1.1_build-1
PROJECTDIR:=$(DSC_PATH)/$(PROJECT)
TERM:=xterm
TREE_COLORS:=
LS_COLORS:=
CDPATH:=
NOANSI:=s/\x1B\[([0-9]{1,2}(;[0-9]{1,2})?)?[m|K]//g
FILTER :=s/\(^.............................................................................\).*$$/\1.../
TGZ:=tar.gz
export BUILD_PATH DSC_PATH EXAMPLES_PATH SOURCE_PATH PATH PROJECT PROJECTDIR TREE_COLORS LS_COLORS TERM CDPATH TGZ

stepcmds := $(sort $(wildcard *.cmd))
steps := $(patsubst %.cmd, %, $(stepcmds))

all:
	mkdir -p $(DSC_PATH)
	echo $(BUILD_PATH) > $(BUILD_PATH)/next.dir
	echo $(BUILD) > $(BUILD_PATH)/build
	echo $(PROJECT) > $(BUILD_PATH)/project
	@echo
	@echo "===== build @ $(BUILD) ====="
	@echo
	for i in $(steps) ; do \
	echo "=== STEP = $$i ===" ; \
	cd $$(cat $(BUILD_PATH)/next.dir) >/dev/null ; \
	script -e -q -c $(BUILD_PATH)/$$i.cmd $(BUILD_PATH)/$$i.log ; \
	ERR=$$? ; \
	cat $(BUILD_PATH)/$$i.log | col -b -x | \
	grep -v -e '^Script started on' | \
	grep -v -e '^Script done on' | \
	sed -r '$(NOANSI)' | \
	sed -e 's#$(DSC_PATH)#/path/to#g' | \
	sed -e '$(FILTER)' > $(BUILD_PATH)/$$i.slog ; \
	if [ x$$ERR != x0 ]; then exit 1 ; fi ; \
	done
	if [ -e $(BUILD_PATH)/step200.slog ]; then \
		grep -A12  '^I: sanity check of parameters' $(BUILD_PATH)/step200.slog > $(BUILD_PATH)/step200.slog-sanity  ; fi
	if [ -e $(BUILD_PATH)/step500.slog ]; then \
		grep -A8  '^ debian/rules binary' $(BUILD_PATH)/step500.slog > $(BUILD_PATH)/step500.slog-binary  ;	fi
	if [ -e $(BUILD_PATH)/step500.slog ]; then tail -n2 $(BUILD_PATH)/step500.slog >$(BUILD_PATH)/step500.slog-tail  ; fi

clean:
	-rm -rf $(DSC_PATH)
	-rm -rf debmake
	-rm -rf package
	-rm -f build
	-rm -f .stamp
	-rm -f *.log
	-rm -rf next.dir project

distclean: clean
	-rm -f *.slog
	-rm -f *.patch

step%.raw: step%.cmd
	./$^ >$@


CMDFILES_THIS = $(shell ls -1 step*.cmd)
CMDFILES_REF1 = $(shell (cd ../$(REFBUILD1) ; ls -1 step*.cmd;))
CMDFILES_REF2 = $(shell (cd ../$(REFBUILD2) ; for f in $$(ls -1 step*.cmd) ; do if [ ! -h $$f ]; then echo $$f ; fi ; done ; ) ; )
CMDFILES_REFP = $(shell (cd ../$(REFBUILDP) ; for f in $$(ls -1 step*.cmd) ; do if [ ! -h $$f ]; then echo $$f ; fi ; done ; ) ; )
CMDFILES1 = $(shell ( echo $(CMDFILES_THIS) $(CMDFILES_REF1) | xargs -n1 | sort -u ;) )
CMDFILES2 = $(shell ( echo $(CMDFILES_THIS) $(CMDFILES_REF2) | xargs -n1 | sort -u ;) )
CMDFILESP = $(shell ( echo $(CMDFILES_THIS) $(CMDFILES_REFP) | xargs -n1 | sort -u ;) )

check:
	@echo "EXAMPLES_PATH  = $(EXAMPLES_PATH)  all examples including tar.gz"
	@echo "BUILD_PATH     = $(BUILD_PATH) each build cases"
	@echo "DSC_PATH       = $(DSC_PATH) where *.deb and *.dsc are generated"
	@echo "SOURCE_PATH    = $(SOURCE_PATH) where extracted tar ball source tree"
	@echo "PROJECT        = $(PROJECT) upstream project name"
	@echo "BUILD          = $(BUILD) build case naem"
	@echo "REFBUILD1      = $(REFBUILD1)"
	@echo "CMDFILES_REF1  = $(CMDFILES_REF1)"
	@echo "REFBUILD2      = $(REFBUILD2)"
	@echo "CMDFILES_REF2  = $(CMDFILES_REF2)"

symlink1:
	for f in $(CMDFILES1) ; do diff -uN ../$(REFBUILD1)/$$f $$f && ln -sf ../$(REFBUILD1)/$$f $$f || echo "keep file" ; done

symlink2:
	for f in $(CMDFILES2) ; do diff -uN ../$(REFBUILD2)/$$f $$f && ln -sf ../$(REFBUILD2)/$$f $$f || echo "keep file" ; done

symlinkp:
	for f in $(CMDFILESP) ; do diff -uN ../$(REFBUILDP)/$$f $$f && ln -sf ../$(REFBUILDP)/$$f $$f || echo "keep file" ; done

.PHONY: all clean distclean check symlink1 symlink2

=== debian/changelog ===
debmake-doc (1.22-1) unstable; urgency=medium

  * Fix chroot-persistent setup

 -- Osamu Aoki <osamu@debian.org>  Wed, 05 Feb 2025 21:44:21 +0900

debmake-doc (1.21-1) unstable; urgency=medium

  [ Boyuan Yang ]
  * po4a/add_zh-cn/translator.add: Fully use translated strings
  * po4a/add_zh-tw/translator.add: Use my localized name
  * po4a/po/zh-cn.po: Minor updates
  * fix typo: vgry -> very

  [ Otto Kekäläinen ]
  * Improve README structure and clarity
  * Explain the use of git-buildpackage more extensively
  * Proof-read most of the guide and fix spelling and text flow
  * Update examples to have latest directory structure visible in logs
  * Update POT file so translators can work on it
  * Add section about Debputy
  * Satisfy asciidoctor syntax checks

  [ Osamu Aoki ]
  * Fix typo
  * Update upload process
  * update policy to 4.7.0
  * Add reminder for superscript
  * Fix superscript issue.
  * xetex_param.xsl variants
  * nopdf.tex (mod)
  * Makefile: no epub
  * debian/rules (mod)
  * README.md: touch up
  * Makefile: better error message etc.
  * make groom
  * Erase dsc
  * Update example logs
  * spell check for asciidoc source
  * Update spell.dic
  * Update head.txt to db5 style
  * Enable reproducible build
  * Update build-depends list
  * po validation script
  * Add test-* targets
  * Fix po.zh-cn: s/zh-cmn-Hans/zh-cn/
  * Execute "make po" and update ja.po
  * Update PO/POT
  * po: trivial unfuzzy
  * wrap-and-sort: add section
  * Update examples with debmake 4.5.1
  * Fix pt PDF generation bug
  * Update on Portuguese translation
  * pt.po: Fix markup errors and trivials
  * Update po4a/po/README.md

  [ Andrew Kreimer ]
  * Fix typos

 -- Osamu Aoki <osamu@debian.org>  Wed, 05 Feb 2025 14:21:17 +0900

=== debian/control ===
Source: debmake-doc
Section: doc
Priority: optional
Maintainer: Osamu Aoki <osamu@debian.org>
Build-Depends:
 debhelper-compat (= 13),
Build-Depends-Indep:
 asciidoctor,
 dblatex,
 docbook-xml,
 docbook-xsl,
 fonts-liberation2,
 fonts-vlgothic,
 fonts-wqy-zenhei,
 latex-cjk-all,
 libxml2-utils,
 locales-all | locales,
 po4a,
 texlive,
 texlive-lang-chinese,
 texlive-lang-cyrillic,
 texlive-lang-english,
 texlive-lang-french,
 texlive-lang-german,
 texlive-lang-japanese,
 texlive-lang-portuguese,
 texlive-xetex,
 w3m,
 xsltproc,
 zip,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://salsa.debian.org/debian/debmake-doc
Vcs-Git: https://salsa.debian.org/debian/debmake-doc.git
Vcs-Browser: https://salsa.debian.org/debian/debmake-doc

Package: debmake-doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends:
 debmake,
Suggests:
 debian-policy,
 developers-reference,
Description: Guide for Debian Maintainers
 This tutorial document describes the building of the Debian
 package to ordinary Debian users and prospective developers using
 the debmake command.
 .
 It is focused on the modern packaging style and comes with many
 simple examples.
  * POSIX shell script packaging
  * Python3 script packaging
  * C with Makefile/Autotools/CMake
  * multiple binary package with shared library etc.
 .
 This package can be considered as the successor to the
 maint-guide package.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

# quilt output is affected by locale; setting explicitly
LC_ALL := C.UTF-8
export LC_ALL

# translation for package (Override Makefile.dbk)
# un-comment to skip building PDF for all
#export NOPDF := en ru zh-cn de ja

# UTF-8 locale
export LC_ALL:= C.UTF-8

# In case of tool chain issue, activate NOPDF for CJK
export NOPDF :=
#export NOPDF := ja zh-tw zh-cn pt

%:
	dh $@

override_dh_compress:
	dh_compress -X.pdf

=== debian/tests/control ===
Test-Command: grep -qe 'Guide for Debian Maintainers' /usr/share/doc/debmake-doc/html/index.en.html
Depends:
 @,

=== debian/watch ===
version=4
opts="mode=git" \
 https://salsa.debian.org/debian/debmake-doc.git \
 refs/tags/upstream/([\d\.]+) debian
# debmake-doc is packaged as a non-native package
# 1. debian/changelog records changes with <upstream_version>-1
# 2. Temporary branch is created and commit w/o debian/* as tag=upstream/<upstream_version>
# 3. Upstream tarball generated by "git deborig"
# 4. Switch back to main branch and test build "sbuild"
# 5. dgit push-source

## debmake-doc 1.23

=== debian/changelog ===
debmake-doc (1.23-2) unstable; urgency=medium

  * Stop overwriting debmake-doc-de (Closes: #1124952)

 -- Osamu Aoki <osamu@debian.org>  Fri, 09 Jan 2026 23:14:34 +0900

debmake-doc (1.23-1) unstable; urgency=medium

  * Typo fix: s/gdb/gbp/ (Closes: #1104164)
  * pt.po updated (Closes: #1103583)
  * make po

 -- Osamu Aoki <osamu@debian.org>  Tue, 06 Jan 2026 23:43:39 +0900

## debmake-doc 1.24

=== examples/Makefile ===
--- 
+++ 
@@ -197,7 +197,7 @@
 
 debhello-%-wrap:
 	cd debhello-$* ; \
-	wrap-and-sort
+	wrap-and-sort -vast
 
 debhello-%/ASCIIDOC_REF:
 	{ cd ../asciidoc ; rg --vimgrep "debhello-$*" *.txt || echo "---" ; } > $@

=== examples/debhello-2.1/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.31)
project(debhello)
set(PACKAGE_AUTHOR "Osamu Aoki")
add_subdirectory(lib)
add_subdirectory(src)
add_subdirectory(man)

=== examples/template/Makefile ===
--- 
+++ 
@@ -50,8 +50,6 @@
 	sed -e '$(FILTER)' > $(BUILD_PATH)/$$i.slog ; \
 	if [ x$$ERR != x0 ]; then exit 1 ; fi ; \
 	done
-	if [ -e $(BUILD_PATH)/step200.slog ]; then \
-		grep -A12  '^I: sanity check of parameters' $(BUILD_PATH)/step200.slog > $(BUILD_PATH)/step200.slog-sanity  ; fi
 	if [ -e $(BUILD_PATH)/step500.slog ]; then \
 		grep -A8  '^ debian/rules binary' $(BUILD_PATH)/step500.slog > $(BUILD_PATH)/step500.slog-binary  ;	fi
 	if [ -e $(BUILD_PATH)/step500.slog ]; then tail -n2 $(BUILD_PATH)/step500.slog >$(BUILD_PATH)/step500.slog-tail  ; fi

=== debian/changelog ===
debmake-doc (1.24-1) unstable; urgency=medium

  * debmake 5.0.0 adjustment
  * Updated packaging examples using debmake 5.0.0
  * make html to update PO

 -- Osamu Aoki <osamu@debian.org>  Mon, 19 Jan 2026 20:14:37 +0900

## debmake-doc 1.25

=== examples/Makefile ===
--- 
+++ 
@@ -39,6 +39,7 @@
             lintian\
             locales-all\
             pybuild-plugin-pyproject \
+            python3-setuptools \
             python3-all\
             python3-debian\
             python3-gi\
@@ -52,8 +53,8 @@
 BUILD_DIRS := $(shell find . -maxdepth 1 -type d -regex '\./debhello-.*_build.*' | sed  -e 's,^\./,,')
 UPSTREAM_DIRS := $(filter-out $(BUILD_DIRS),$(ALL_DIRS))
 ASCIIDOC_REF := $(addsuffix /ASCIIDOC_REF, $(BUILD_DIRS))
-TARGZS := $(addsuffix .tar.gz, $(UPSTREAM_DIRS))
-ORIGTARGZS := $(patsubst debhello-%,debhello_%,$(addsuffix .orig.tar.gz, $(UPSTREAM_DIRS)))
+TARZS := $(addsuffix .tar.xz, $(UPSTREAM_DIRS))
+ORIGTARZS := $(patsubst debhello-%,debhello_%,$(addsuffix .orig.tar.xz, $(UPSTREAM_DIRS)))
 BUILDMAKEFILES := $(addsuffix /Makefile, $(BUILD_DIRS))
 BUILDSTAMPS := $(addsuffix -stamp, $(BUILD_DIRS))
 
@@ -67,8 +68,8 @@
 	# === SUCCESS ALL ===
 
 clean:
-	-rm -f $(TARGZS)
-	-rm -f $(ORIGTARGZS)
+	-rm -f $(TARZS)
+	-rm -f $(ORIGTARZS)
 	-rm -f $(BUILDMAKEFILES)
 	-rm -f $(BUILDSTAMPS)
 	# way to clean build results and Makefile link
@@ -82,7 +83,7 @@
 	-rm -rf debhello-*_build*/debmake
 	# post-package snapshot of test
 	-rm -rf debhello-*_build*/package
-	-rm -rf debhello-*_build*/dsc
+	-rm -rf debhello-*_build*/base_dir
 
 distclean: clean
 	-rm -f $(ASCIIDOC_REF)
@@ -100,12 +101,12 @@
 	@ echo "$(BUILD_DIRS)"| xargs -n1
 	# === UPSTREAM_DIRS ===
 	@ echo "$(UPSTREAM_DIRS)" | xargs -n1
-	# === TARGZS ===
-	@ echo "$(TARGZS)" | xargs -n1
-	$(MAKE) $(TARGZS)
-	# === ORIGTARGZS ===
-	@ echo "$(ORIGTARGZS)" | xargs -n1
-	$(MAKE) $(ORIGTARGZS)
+	# === TARZS ===
+	@ echo "$(TARZS)" | xargs -n1
+	$(MAKE) $(TARZS)
+	# === ORIGTARZS ===
+	@ echo "$(ORIGTARZS)" | xargs -n1
+	$(MAKE) $(ORIGTARZS)
 	# === BUILDMAKEFILES ===
 	$(MAKE) $(BUILDMAKEFILES)
 
@@ -117,10 +118,10 @@
 	# === BUILDSTAMPS ===
 	$(MAKE) $(BUILDSTAMPS)
 
-debhello-%.tar.gz: debhello-%/README.md
-	tar --exclude=debhello-$*/debian -cvzf $@ debhello-$*/
-
-debhello_%.orig.tar.gz: debhello-%.tar.gz
+debhello-%.tar.xz: debhello-%/README.md
+	tar --exclude=debhello-$*/debian --xz -cvf $@ debhello-$*/
+
+debhello_%.orig.tar.xz: debhello-%.tar.xz
 	ln -sf $^ $@
 
 debhello-%/Makefile: template/Makefile

=== examples/template/Makefile ===
--- 
+++ 
@@ -10,27 +10,30 @@
 BUILD_PATH:=$(EXAMPLES_PATH)/$(BUILD)
 # == BUILD_PATH:=$(CURDIR)
 # package build directory (top)
-DSC_PATH:=$(BUILD_PATH)/dsc
-SOURCE_PATH:=$(DSC_PATH)/$(PROJECT)
+BASE_DIR:=base_dir
+BASE_PATH:=$(BUILD_PATH)/$(BASE_DIR)
+BASE_DIR:=$(shell echo $(PROJECT)|sed -e 's#/*$$##' )
+SOURCE_PATH:=$(BASE_PATH)/$(PROJECT)
+SOURCE_DIR:=$(shell echo $(PROJECT)|sed -e 's#/*$$##' )
 PATH := $(EXAMPLES_PATH)/bin:$(PATH)
 REFBUILD1:=debhello-0.0_build-1
 REFBUILD2:=debhello-0.0_build-2
 REFBUILDP:=debhello-1.1_build-1
-PROJECTDIR:=$(DSC_PATH)/$(PROJECT)
+PROJECTDIR:=$(BASE_PATH)/$(PROJECT)
 TERM:=xterm
 TREE_COLORS:=
 LS_COLORS:=
 CDPATH:=
 NOANSI:=s/\x1B\[([0-9]{1,2}(;[0-9]{1,2})?)?[m|K]//g
 FILTER :=s/\(^.............................................................................\).*$$/\1.../
-TGZ:=tar.gz
-export BUILD_PATH DSC_PATH EXAMPLES_PATH SOURCE_PATH PATH PROJECT PROJECTDIR TREE_COLORS LS_COLORS TERM CDPATH TGZ
+TARZ:=tar.xz
+export BUILD_PATH BASE_PATH BASE_DIR EXAMPLES_PATH SOURCE_PATH SOURCE_DIR PATH PROJECT PROJECTDIR TREE_COLORS LS_COLORS TERM CDPATH TARZ
 
 stepcmds := $(sort $(wildcard *.cmd))
 steps := $(patsubst %.cmd, %, $(stepcmds))
 
 all:
-	mkdir -p $(DSC_PATH)
+	mkdir -p $(BASE_PATH)
 	echo $(BUILD_PATH) > $(BUILD_PATH)/next.dir
 	echo $(BUILD) > $(BUILD_PATH)/build
 	echo $(PROJECT) > $(BUILD_PATH)/project
@@ -46,7 +49,7 @@
 	grep -v -e '^Script started on' | \
 	grep -v -e '^Script done on' | \
 	sed -r '$(NOANSI)' | \
-	sed -e 's#$(DSC_PATH)#/path/to#g' | \
+	sed -e 's#$(BUILD_PATH)#/path/to#g' | \
 	sed -e '$(FILTER)' > $(BUILD_PATH)/$$i.slog ; \
 	if [ x$$ERR != x0 ]; then exit 1 ; fi ; \
 	done
@@ -55,7 +58,7 @@
 	if [ -e $(BUILD_PATH)/step500.slog ]; then tail -n2 $(BUILD_PATH)/step500.slog >$(BUILD_PATH)/step500.slog-tail  ; fi
 
 clean:
-	-rm -rf $(DSC_PATH)
+	-rm -rf $(BASE_PATH)
 	-rm -rf debmake
 	-rm -rf package
 	-rm -f build
@@ -82,7 +85,7 @@
 check:
 	@echo "EXAMPLES_PATH  = $(EXAMPLES_PATH)  all examples including tar.gz"
 	@echo "BUILD_PATH     = $(BUILD_PATH) each build cases"
-	@echo "DSC_PATH       = $(DSC_PATH) where *.deb and *.dsc are generated"
+	@echo "BASE_PATH       = $(BASE_PATH) where *.deb and *.dsc are generated"
 	@echo "SOURCE_PATH    = $(SOURCE_PATH) where extracted tar ball source tree"
 	@echo "PROJECT        = $(PROJECT) upstream project name"
 	@echo "BUILD          = $(BUILD) build case naem"

=== debian/changelog ===
debmake-doc (1.25-1) unstable; urgency=medium

  * debian/copyright (mod)
  * Update for debmake 5.1.0
  * examples/* (mod)
  * make po

 -- Osamu Aoki <osamu@debian.org>  Fri, 30 Jan 2026 13:48:22 +0000

## debmake-doc 1.26

=== examples/debhello-3.4/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.31)
project(debhello)
set(PACKAGE_AUTHOR "Osamu Aoki")
add_subdirectory(po)
add_subdirectory(lib)
add_subdirectory(src)
add_subdirectory(man)
add_subdirectory(data)

=== debian/changelog ===
debmake-doc (1.26-1) unstable; urgency=medium

  * asciidoc/* updates for dgit
  * update examples with debmake 5.1.2

 -- Osamu Aoki <osamu@debian.org>  Tue, 03 Feb 2026 21:07:13 +0900

## debmake-doc 1.27

=== examples/Makefile ===
--- 
+++ 
@@ -1,15 +1,10 @@
 # Build all Debian packaging examples
-# Copyright (C) 2021 Osamu Aoki
-
-# Standards-Version: 4.6.2
-# Homepage: <insert the upstream URL, if relevant>
-# Homepage: https://salsa.debian.org/debian/debmake-doc
-# Vcs-Git: https://salsa.debian.org/debian/debmake-doc.git
-# Vcs-Browser: https://salsa.debian.org/debian/debmake-doc
-
-# Set the following before "make groom"
+# Copyright (C) 2026 Osamu Aoki
+
+# Set the following before "make groom" to update common setting
+# for debian/control
 HOMEPAGE = https://salsa.debian.org/debian/debmake-doc
-STDVER = 4.6.2
+STDVER = 4.7.3
 DHCOMPAT = 13
 MAINTNM = Osamu Aoki <osamu@debian.org>

=== examples/debhello-1.7/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.31)
project(debhello)
set(PACKAGE_AUTHOR "Osamu Aoki")
add_subdirectory(src)
add_subdirectory(man)

=== debian/changelog ===
debmake-doc (1.27-1) unstable; urgency=medium

  * Correct sbuild and gbp option examples
  * Drop piuparts in Tool usages
  * Mention "cme fix dpkg"
  * Mention schroot vs. unsare for piuparts
  * Use tar with --xz option across document
  * update manpage for debmake 5.1.3
  * pt.po update and "make po"

 -- Osamu Aoki <osamu@debian.org>  Sun, 08 Feb 2026 14:50:35 +0900

## debmake-doc 1.28

=== debian/changelog ===
debmake-doc (1.28-1) unstable; urgency=medium

  [ Osamu Aoki ]
  * FHS 3.0
  * Fix typo to make cme as a section
  * apply "cme fix dpkg" to examples
  * Add openPGP setup
  * make po (mod)
  * debmake 5.1.4 examples

  [ Boyuan Yang ]
  * po4a/po/zh-cn.po: Refresh and add some translation

  [ Dorle Osterode ]
  * Use openPGP instead of GPG where appropriate

 -- Osamu Aoki <osamu@debian.org>  Wed, 11 Feb 2026 10:10:41 +0000
